arduino-simple-tts

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
simple_tts::TimeToText Class Reference

Translates a time in hour and minutes into englich words. This implementation builds upon the NumberToText class to handle the basic numbers. More...

`#include <TimeToText.h>`

Inheritance diagram for simple_tts::TimeToText:

## Public Member Functions
audio_tools::Vector< const char * > & | say (int hour, int minutes)
| converts a number to it's text representation
audio_tools::Vector< const char * > & | say (SimpleTime time)
| converts a number to it's text representation
audio_tools::Vector< const char * > & | allTexts ()
| provides all texts
Public Member Functions inherited from simple_tts::SimpleTTSBase
virtual audio_tools::Vector< const char * > & | allTexts ()=0
virtual void | registerCallback (void(*ptr)(audio_tools::Vector< const char * > words, void *refx), void *ref)
void | printCSV (Print &out)

## Protected Member Functions
void | add (int idx)
void | add (const char *str)
void | addAll (audio_tools::Vector< const char * > &words)
void | process (SimpleTime time)
void | processMinutes (SimpleTime &time)
void | processHourPM (SimpleTime time)
void | processHourAM (SimpleTime time)

## Protected Attributes
audio_tools::Vector< const char * > | result
NumberToText | ntt
const int | ITS = 0
const int | NOON = 1
const int | MIDNIGHT = 2
const int | OCLOCK = 3
const int | TO = 4
const int | PAST = 5
const int | AM = 6
const int | PM = 7
const int | HALF = 8
const int | QUARTER = 9
const char * | words [10]
Protected Attributes inherited from simple_tts::SimpleTTSBase
void(* | callback )(audio_tools::Vector< const char * > word, void *ref) = nullptr
void * | reference = nullptr

## Detailed Description

Translates a time in hour and minutes into englich words. This implementation builds upon the NumberToText class to handle the basic numbers.

Author
  Phil Schatzmann

Copyright
  GPLv3

## Member Function Documentation

## ◆ allTexts()

audio_tools::Vector< const char * > & simple_tts::TimeToText::allTexts | ( |  | ) |
| inlinevirtual

provides all texts

Implements simple_tts::SimpleTTSBase.

## Member Data Documentation

## ◆ words

const char* simple_tts::TimeToText::words[10]
| protected

Initial value:
= {"ITS", "NOON", "MIDNIGHT", "OCLOCK", "TO",
"PAST", "AM", "PM", "HALF", "QUARTER"}

The documentation for this class was generated from the following file:

- src/TimeToText.h